Index: issm/trunk-jpl/src/c/analyses/FreeSurfaceBaseAnalysis.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/FreeSurfaceBaseAnalysis.cpp	(revision 17610)
+++ issm/trunk-jpl/src/c/analyses/FreeSurfaceBaseAnalysis.cpp	(revision 17674)
@@ -6,5 +6,5 @@
 
 /*Model processing*/
-int  FreeSurfaceBaseAnalysis::DofsPerNode(int** doflist,int meshtype,int approximation){/*{{{*/
+int  FreeSurfaceBaseAnalysis::DofsPerNode(int** doflist,int meshxdim,int approximation){/*{{{*/
 	return 1;
 }/*}}}*/
@@ -14,5 +14,5 @@
 
 	/*Now, is the model 3d? otherwise, do nothing: */
-	if (iomodel->meshtype==Mesh2DhorizontalEnum)return;
+	if (iomodel->meshxdim==Mesh2DhorizontalEnum)return;
 
 	/*Finite element type*/
@@ -35,5 +35,5 @@
 	iomodel->FetchDataToInput(elements,VxEnum);
 	iomodel->FetchDataToInput(elements,VyEnum);
-	if(iomodel->meshtype==Mesh3DEnum){
+	if(iomodel->meshxdim==Mesh3DEnum){
 		iomodel->FetchDataToInput(elements,VzEnum);
 		iomodel->FetchDataToInput(elements,MeshElementonbaseEnum);
@@ -43,5 +43,5 @@
 void FreeSurfaceBaseAnalysis::CreateNodes(Nodes* nodes,IoModel* iomodel){/*{{{*/
 
-	if(iomodel->meshtype!=Mesh2DhorizontalEnum) iomodel->FetchData(2,MeshVertexonbaseEnum,MeshVertexonsurfaceEnum);
+	if(iomodel->meshxdim!=Mesh2DhorizontalEnum) iomodel->FetchData(2,MeshVertexonbaseEnum,MeshVertexonsurfaceEnum);
 	::CreateNodes(nodes,iomodel,FreeSurfaceBaseAnalysisEnum,P1Enum);
 	iomodel->DeleteData(2,MeshVertexonbaseEnum,MeshVertexonsurfaceEnum);
@@ -60,5 +60,5 @@
 	IssmDouble *nodeonbase=NULL;
 	iomodel->FetchData(&vertex_pairing,&numvertex_pairing,NULL,MasstransportVertexPairingEnum);
-	if(iomodel->meshtype!=Mesh2DhorizontalEnum) iomodel->FetchData(&nodeonbase,NULL,NULL,MeshVertexonbaseEnum);
+	if(iomodel->meshxdim!=Mesh2DhorizontalEnum) iomodel->FetchData(&nodeonbase,NULL,NULL,MeshVertexonbaseEnum);
 	for(int i=0;i<numvertex_pairing;i++){
 
@@ -69,5 +69,5 @@
 
 			/*Skip if one of the two is not on the bed*/
-			if(iomodel->meshtype!=Mesh2DhorizontalEnum){
+			if(iomodel->meshxdim!=Mesh2DhorizontalEnum){
 				if(!(reCast<bool>(nodeonbase[reCast<int>(vertex_pairing[2*i+0])-1])) || !(reCast<bool>(nodeonbase[reCast<int>(vertex_pairing[2*i+1])-1]))) continue;
 			}
@@ -105,5 +105,5 @@
 
 	/*Intermediaries*/
-	int         meshtype,dim,stabilization;
+	int         meshxdim,dim,stabilization;
 	Element*    basalelement = NULL;
 	IssmDouble *xyz_list  = NULL;
@@ -112,6 +112,6 @@
 
 	/*Get basal element*/
-	element->FindParam(&meshtype,MeshTypeEnum);
-	switch(meshtype){
+	element->FindParam(&meshxdim,MeshXDimEnum);
+	switch(meshxdim){
 		case Mesh2DhorizontalEnum:
 			basalelement = element;
@@ -128,5 +128,5 @@
 			dim = 2;
 			break;
-		default: _error_("mesh "<<EnumToStringx(meshtype)<<" not supported yet");
+		default: _error_("mesh "<<EnumToStringx(meshxdim)<<" not supported yet");
 	}
 
@@ -223,10 +223,10 @@
 	xDelete<IssmDouble>(D);
 	delete gauss;
-	if(meshtype!=Mesh2DhorizontalEnum){basalelement->DeleteMaterials(); delete basalelement;};
+	if(meshxdim!=Mesh2DhorizontalEnum){basalelement->DeleteMaterials(); delete basalelement;};
 	return Ke;
 }/*}}}*/
 ElementVector* FreeSurfaceBaseAnalysis::CreatePVector(Element* element){/*{{{*/
 	/*Intermediaries*/
-	int         meshtype,dim;
+	int         meshxdim,dim;
 	IssmDouble  Jdet,dt;
 	IssmDouble  mb,mb_correction,bed,vz;
@@ -235,6 +235,6 @@
 
 	/*Get basal element*/
-	element->FindParam(&meshtype,MeshTypeEnum);
-	switch(meshtype){
+	element->FindParam(&meshxdim,MeshXDimEnum);
+	switch(meshxdim){
 		case Mesh2DhorizontalEnum:
 			basalelement = element;
@@ -251,5 +251,5 @@
 			dim = 2;
 			break;
-		default: _error_("mesh "<<EnumToStringx(meshtype)<<" not supported yet");
+		default: _error_("mesh "<<EnumToStringx(meshxdim)<<" not supported yet");
 	}
 
@@ -298,5 +298,5 @@
 	xDelete<IssmDouble>(basis);
 	delete gauss;
-	if(meshtype!=Mesh2DhorizontalEnum){basalelement->DeleteMaterials(); delete basalelement;};
+	if(meshxdim!=Mesh2DhorizontalEnum){basalelement->DeleteMaterials(); delete basalelement;};
 	return pe;
 
